Bug 1261084 - Opening the business process viewer in Business Central without changing anything triggers a save (commit) dialog box
Opening the business process viewer in Business Central without changing anyt...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity medium
: ER3
: 6.2.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 10:29 EDT by Kris Verlaenen
Modified: 2015-09-29 06:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kris Verlaenen 2015-09-08 10:29:12 EDT
When a business process is opened through Business Central (KIE-Workbench) and closed it without any changes then a pop up about "confirmation message" is showed ("Business Process may contain unsaved changes. Are you sure you would like to close the editor?"). Clicking on a single task or viewing some properties is enough to trigger this message although nothing has changed.

This confirmation message should only appear if some changes have been done in the process.
Comment 4 Kirill Gaevskii 2015-09-25 06:41:44 EDT
Hi, Tihomir. It looks much more better, but it is still trigger a pop up with ("Business Process may contain unsaved changes. Are you sure you would like to close the editor?") message  in some cases. 

After opening any editor (except new Data I/O editor. ie Text Type, Editor for imports, old Data I/O editor etc.)

Steps to reproduce:
1. Create simple Business Process (Start -> End)
2. Save it (reopen if you want)
3. Open Process Properties
4. Open Imports editor and close it with Cancel button or with X button
5. Try to close Business Process
Comment 5 Tihomir Surdilovic 2015-09-25 11:38:03 EDT
When opening a property editor a value is always set - that being whatever user chose/typed in the editor or the old value in case of a "cancel" operation. 

The editor has to make sure a value is set back from it and this triggers and update on the property value. 

I believe that this is acceptable behavior and should not be changed.
Comment 6 Kirill Gaevskii 2015-09-29 06:47:19 EDT
Opening of existing Business Process is not enough for triggering "Business Process may contain unsaved changes" for now. Also activating different element on canvas, elements in Shape library and some properties in Properties Editor not enough to trigger this message. So I mark this issue as verified.

But on the other hand it is still possible to trigger this message even if you don't make a changes so new bug 1267199 filed.

Note You need to log in before you can comment on or make changes to this bug.